import numpy as np
import matplotlib.pyplot as plt

# Parametry ruchu harmonicznego
A_v = 0.6  # Amplituda prędkości (m/s)
T = 0.4  # Okres (s)
f = 1 / T  # Częstotliwość (Hz)
omega = 2 * np.pi * f  # Pulsacja (rad/s)
C = 0  # Przyjmujemy C = 0 dla uproszczenia

# Funkcja x(t)
def x_t(t):
    return (-A_v / omega) * np.cos(omega * t) + C

# Przedział czasu
t = np.linspace(0, 1, 1000)  # 1 sekunda ruchu
x = x_t(t)

# Wykres funkcji x(t)
plt.figure(figsize=(8, 5))
plt.plot(t, x, label="$x(t) = -0.0382 \cos(5\pi t) + C$", color='b')
plt.xlabel("Czas [s]")
plt.ylabel("Położenie x(t) [m]")
plt.title("Wykres funkcji położenia x(t)")
plt.legend()
plt.grid()
plt.show()

